<app-userlayout>
  <div class="row">
    <div class="p-4 col-12">
        <mat-form-field>
            <input matInput placeholder="Location ID" [(ngModel)]="requestData.locationId" readonly>
        </mat-form-field>
        <mat-form-field>
            <input matInput [matDatepicker]="start" [(ngModel)]="requestData.start" placeholder="From">
            <mat-datepicker-toggle matSuffix [for]="start"></mat-datepicker-toggle>
            <mat-datepicker #start></mat-datepicker>
        </mat-form-field>
        <mat-form-field>
            <input matInput [matDatepicker]="end" [(ngModel)]="requestData.end" placeholder="To">
            <mat-datepicker-toggle matSuffix [for]="end"></mat-datepicker-toggle>
            <mat-datepicker #end></mat-datepicker>
        </mat-form-field>
        <mat-form-field>
            <mat-select placeholder="Vehicles" [formControl]="requestData.vehicle" multiple>
                <mat-select-trigger>
                    {{requestData.vehicle.value ? requestData.vehicle.value[0] : ''}}
                    <span *ngIf="requestData.vehicle.value?.length > 1" class="example-additional-selection">
                    (+{{requestData.vehicle.value.length - 1}} {{requestData.vehicle.value?.length === 2 ? 'other' : 'others'}})
                    </span>
                </mat-select-trigger>
                <mat-option *ngFor="let vehicle of vehicles" [value]="vehicle.value">{{vehicle.text}}</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field>
            <mat-select placeholder="Directions" [formControl]="requestData.direction" multiple>
                <mat-select-trigger>
                    {{requestData.direction.value ? requestData.direction.value[0] : ''}}
                    <span *ngIf="requestData.direction.value?.length > 1" class="example-additional-selection">
                    (+{{requestData.direction.value.length - 1}} {{requestData.direction.value?.length === 2 ? 'other' : 'others'}})
                    </span>
                </mat-select-trigger>
                <mat-option *ngFor="let direction of directions" [value]="direction.direction">{{direction.direction}}</mat-option>
            </mat-select>
        </mat-form-field>
        <button class="mx-4" (click)="getAnalytics()" mat-raised-button color="primary">Get Data</button>
    </div>
</div>
    <div class="row my-4">
        <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12" >
          <mat-card>
              <mat-card-header>  
                
                    <mat-card-title>
                      
                      Vehicle Detail
                           
                      </mat-card-title>
                      <mat-icon style="margin-left: auto"  matTooltip="Refresh" (click)="refreshpie()">refresh</mat-icon>
                    </mat-card-header>
            <mat-card-content style="height:300px" >
                <canvas #piechart  >{{ piechart }}</canvas> 
              
            </mat-card-content>
          </mat-card>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
          <mat-card>
            <mat-card-header>
              <mat-card-title>Analytics</mat-card-title>
              <mat-icon style="margin-left: auto" matTooltip="Refresh" (click)="refreshbar()">refresh</mat-icon>
  
            </mat-card-header>
            <mat-card-content style="height: 300px">
                <canvas #barchart >{{ barchart }}</canvas> 
            </mat-card-content>
          </mat-card>
        </div>
        <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12" >
          <mat-card>
              <mat-card-header>  
                
                    <mat-card-title>
                      
                      Direction Detail
                           
                      </mat-card-title>
                      <mat-icon style="margin-left: auto"  matTooltip="Refresh" (click)="refreshpie()">refresh</mat-icon>
                    </mat-card-header>
            <mat-card-content style="height:300px" >
                <canvas #piechartdrc  >{{ piechartdrc }}</canvas> 
              
            </mat-card-content>
          </mat-card>
        </div>
    </div>
        <div class="row my-4">                    
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <mat-card>
          <mat-card-header>
            <mat-card-title>Timeline</mat-card-title>
            <mat-icon style="margin-left: auto" matTooltip="Refresh" (click)="refreshline()">refresh</mat-icon>

          </mat-card-header>
          <mat-card-content style="height: 300px">
            <canvas #lineChart >{{ chart }}</canvas> 
          </mat-card-content>
        </mat-card>
      </div>
      
    </div>
</app-userlayout>